<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlDbgCb_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlDbgCb_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>mmWaveLink debug callback structure  
 <a href="structrl_dbg_cb__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/mmwavelink.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a07a769d4e65b22275810396f116d2f48"><td class="memItemLeft" align="right" valign="top">rlPrintFptr&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_dbg_cb__t.html#a07a769d4e65b22275810396f116d2f48">rlPrint</a></td></tr>
<tr class="memdesc:a07a769d4e65b22275810396f116d2f48"><td class="mdescLeft">&#160;</td><td class="mdescRight">Print input message as per the format in the input arguments.  <a href="#a07a769d4e65b22275810396f116d2f48">More...</a><br /></td></tr>
<tr class="separator:a07a769d4e65b22275810396f116d2f48"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a8e40fbee875a9f9b3601afdd23831a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7a8e40fbee875a9f9b3601afdd23831a"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_dbg_cb__t.html#a7a8e40fbee875a9f9b3601afdd23831a">dbgLevel</a></td></tr>
<tr class="memdesc:a7a8e40fbee875a9f9b3601afdd23831a"><td class="mdescLeft">&#160;</td><td class="mdescRight">User needs to set debug level such as error, warning, debug, verbose. <br /></td></tr>
<tr class="separator:a7a8e40fbee875a9f9b3601afdd23831a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>mmWaveLink debug callback structure </p>
</div><h2 class="groupheader">Field Documentation</h2>
<a class="anchor" id="a07a769d4e65b22275810396f116d2f48"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlInt32_t(* rlDbgCb_t::rlPrint)(const rlInt8_t *format,...)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Print input message as per the format in the input arguments. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">format</td><td>- Format of message and arguments to be printed </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">...</td><td>- Multiple input arguments to be printed</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>rlInt32_t Success- Length of the message written in user's output console in bytes Failure- Negative value</dd></dl>
<p>Print input message as per the format in the input arguments </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/mmwavelink.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
